Retrieve a User

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /profiles/{profile_id}/users/{user_id}

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • user_id string Required

    id of the user

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id number Required
    • username string Required
    • global_id string Required
    • first_name string Required
    • last_name string Required
    • email string Required
    • roles object Required

      A server user reads back every flag as true.

      Hide roles attributes Show roles attributes object
      • role string Required

        One of server, company or basic.

      • can_form_edit boolean Required
      • can_thunderplug_sync boolean Required
      • can_edit_records boolean Required
      • can_delete_records boolean Required
      • can_manage_templates boolean Required
      • can_generate_documents boolean Required
      • can_assign boolean Required
      • can_manage_users boolean Required

        Read-only. Comes with the company and server roles and can't be set through the API.

      • can_edit_company_info boolean Required

        Read-only. Comes with the company and server roles and can't be set through the API.

      • can_manage_billing boolean Required

        Read-only. Comes with the company and server roles and can't be set through the API.

      • can_record_sync boolean Required

        Read-only. Comes with the company and server roles and can't be set through the API.

    • created_date string Required
    • is_locked boolean Required
GET /profiles/{profile_id}/users/{user_id}
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/[servername]/profiles/self/users/self' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
{
  "id": 42.0,
  "username": "string",
  "global_id": "string",
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "roles": {
    "role": "string",
    "can_form_edit": true,
    "can_thunderplug_sync": true,
    "can_edit_records": true,
    "can_delete_records": true,
    "can_manage_templates": true,
    "can_generate_documents": true,
    "can_assign": true,
    "can_manage_users": true,
    "can_edit_company_info": true,
    "can_manage_billing": true,
    "can_record_sync": true
  },
  "created_date": "string",
  "is_locked": true
}